Openwall GNU/*/Linux - a small security-enhanced Linux distro for servers
[<prev] [next>] [<thread-prev] [day] [month] [year] [list]
Date: Mon, 27 Apr 2015 10:43:15 -0400 (EDT)
From: cve-assign@...re.org
To: pierre@...ctos.org
Cc: cve-assign@...re.org, oss-security@...ts.openwall.com
Subject: Re: CVE request: incomplete fix for CVE-2013-4422

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

> It's been found that in Quassel, the CVE-2013-4422 was incorrectly
> fixed and that core was still vulnerable to SQL injection on reconnection.

> Since the initDbSession() code in PostgreSQL is
> used to fix the CVE-2013-4422 SQL Injection bug, this means that
> Quassel was still vulnerable ... if the PostgreSQL server
> is restarted or the connection is lost at any point

> This has been fixed with commit:
> https://github.com/quassel/quassel/commit/6605882f41331c80f7ac3a6992650a702ec71283

> The incomplete bugfix had been released with Quassel 0.9.1:
> http://quassel-irc.org/node/120

Use CVE-2015-3427.

- -- 
CVE assignment team, MITRE CVE Numbering Authority
M/S M300
202 Burlington Road, Bedford, MA 01730 USA
[ PGP key available through http://cve.mitre.org/cve/request_id.html ]
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (SunOS)

iQEcBAEBAgAGBQJVPkoSAAoJEKllVAevmvmsk7kH/3ssydZtfI2+IiDKhv7BZvcT
tH3X9Df9kR3WK5caEHRsLwyn2e9szeAd1LBca01kXdVnaFEfceufpbtkBfm4kJNI
4bi4GFW18JU4jmjaef+R9gz83fRCBvebK6pKzzwBec6B9tTdW3P51otdDZpYIqVX
pN9pZ/0mAv9mIjol9SEXhyWSJMv4FmNF9qOHFHMcIK5HhAVIyr1e+khc2/YBFIA9
SETuAPA+tRAmEzg0O/tnjhnkqBSk2azoFaMQ+zijsqbSBa6HDvZadxRxZuN3+GT0
gl0sySciqRokxx6T42sd7iTiP/vFFiHEXtczeY2YT8WBUQo9kahxwV082I8+WmM=
=wueW
-----END PGP SIGNATURE-----

Powered by blists - more mailing lists

Your e-mail address:

Please check out the Open Source Software Security Wiki, which is counterpart to this mailing list.

Powered by Openwall GNU/*/Linux - Powered by OpenVZ